from flask import jsonify, render_template, request, Response
from werkzeug.exceptions import HTTPException


def generic_error_handler(error: HTTPException):
    accent_json: bool = request.accept_mimetypes.accept_json
    accept_html: bool = request.accept_mimetypes.accept_html
    if accent_json and not accept_html:
        response: Response = jsonify(str(error))
        response.status_code = error.code
        return response
    return render_template('errors/error.html.j2', error=error), error.code
